Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class BoolErrRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CellRecord
                      org.apache.poi.hssf.record.BoolErrRecord

All Implemented Interfaces:
  CellValueRecordInterface

    public final class BoolErrRecord

extends CellRecord

Creates new BoolErrRecord. (0x0205)

REFERENCE: PG ??? Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Michael P. Harhen, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`BoolErrRecord()` Creates new BoolErrRecord
`BoolErrRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `getBooleanValue()` get the value for the cell
`byte` | `getErrorValue()` get the error value for the cell
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isBoolean()` Indicates whether the call holds a boolean value
`boolean` | `isError()` Indicates whether the call holds an error value
`void` | `setValue(boolean value)` set the boolean value for the cell
`void` | `setValue(byte value)` set the error value for the cell

Methods inherited from class org.apache.poi.hssf.record.CellRecord
`getColumn, getRow, getXFIndex, serialize, setColumn, setRow, setXFIndex, toString`

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### BoolErrRecord

    public BoolErrRecord()

  Creates new BoolErrRecord

### BoolErrRecord

    public BoolErrRecord(RecordInputStream in)

Parameters:
  `in` - the RecordInputstream to read the record from

Method Detail

### setValue

    public void setValue(boolean value)

  set the boolean value for the cell

  Parameters:
    `value` - representing the boolean value

### setValue

    public void setValue(byte value)

  set the error value for the cell

  Parameters:
    `value` - error representing the error value this value can only be 0,7,15,23,29,36 or 42 see bugzilla bug 16560 for an explanation

### getBooleanValue

    public boolean getBooleanValue()

  get the value for the cell

  Returns:
    boolean representing the boolean value

### getErrorValue

    public byte getErrorValue()

  get the error value for the cell

  Returns:
    byte representing the error value

### isBoolean

    public boolean isBoolean()

  Indicates whether the call holds a boolean value

  Returns:
    boolean true if the cell holds a boolean value

### isError

    public boolean isError()

  Indicates whether the call holds an error value

  Returns:
    boolean true if the cell holds an error value

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD